/*
 * TextWindow.hpp
 *
 *  Created on: Jan 7, 2010
 *      Author: crueger
 */

#ifndef TEXTWINDOW_HPP_
#define TEXTWINDOW_HPP_

#include "UIElements/MainWindow.hpp"

class TextMenu;
class Action;
class oldmenu;
class StringView;

class TextWindow : public MainWindow
{
public:
  TextWindow(menuPopulaters,MoleculeListClass *, config *, periodentafel *, char *);
  virtual ~TextWindow();

  virtual void display();
private:
  TextMenu *main_menu;

  // some actions only needed in textMenus
  Action *quitAction;
  Action *returnFromEditMoleculeAction;
  // all views that are contained in the main Menu
  StringView *moleculeView;

  // This class still contains a lot of scattered functionality
  oldmenu *old_menu;
};

#endif /* TEXTWINDOW_HPP_ */
